package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DEDataChg2Mapper;
import com.sa.ibiz.demo.demo.domain.DEDataChg2;
import com.sa.ibiz.demo.demo.service.DEDataChg2Service;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DEDataChg2SearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DEDataChg2] 服务对象接口实现
 */
@Service
public class DEDataChg2ServiceImpl extends ServiceImplBase<DEDataChg2Mapper, DEDataChg2> implements DEDataChg2Service{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DEDataChg2Mapper dedatachg2Mapper;


    @Override
    public boolean create(DEDataChg2 et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DEDataChg2 et){
        this.beforeUpdate(et);
		this.dedatachg2Mapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DEDataChg2 et){
		return et.getDedatachg2id();  
    }

    @Override
    public boolean getDraft(DEDataChg2 et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DEDataChg2> listDefault(DEDataChg2SearchFilter filter) {
		return dedatachg2Mapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DEDataChg2> searchDefault(DEDataChg2SearchFilter filter) {
		return dedatachg2Mapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dedatachg2Mapper.selectRow(sql);
    }

 }